\section{Related problems}
\label{sec:related-problems}

Robot localization is predicted to evolve from Simultaneous Localization and
Mapping into a general geometric and semantic \emph{Spatial AI}
\cite{davison2018futuremapping}. The awareness of not only the geometry but
associated parameters such as the terramechanics properties is related to the
open topic of \emph{energy efficient navigation}. Which gains a huge importance
if mobile robots are going to be scaled up in our current environmental
situation.

Additionally the reference work mentions the problem of mapping large areas,
where multi-robot systems would mean a big advantage over individual robots.
Applications like \emph{search and rescue}, where the robots map a large area
at the same time that identify an objective (which could be moving as it
happens with people drifting in the sea) benefit the most from coordinated
agents.